<?php
/**
 * @package SJ Extra Slider for HikaShop
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;

if (!empty($list)) {

	JHtml::stylesheet('modules/' . $module->module . '/assets/css/style.css');
	JHtml::stylesheet('modules/' . $module->module . '/assets/css/css3.css');
	if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
		JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
		JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
		define('SMART_JQUERY', 1);
	}

	JHtml::script('modules/' . $module->module . '/assets/js/owl.carousel.js');

	ImageHelper::setDefault($params);

	$options = $params->toObject();
	$count_item = count($list);

	$tag_id = 'sj_extraslider_' . rand() . time();

	$autoPlay = (int)$params->get('autoPlay', 1);

	$slideSpeed = (int)$params->get('slideSpeed', 2000);
	$slideSpeed = ($autoPlay && $slideSpeed <= 0) ? 2000 : $slideSpeed;
	$paginationSpeed = (int)$params->get('paginationSpeed', 800);
	$rewindSpeed = (int)$params->get('rewindSpeed', 1000);
	$scrollPerPage = (int)$params->get('scrollPerPage', 1);
	$scrollPerPage = $scrollPerPage ? 'true' : 'false';
	$pause_hover = (int)$params->get('pause_hover', 1);
	$pause_hover = $pause_hover ? 'true' : 'false';
	$mouseDrag = (int)$params->get('mouseDrag', 1);
	$mouseDrag = $mouseDrag ? 'true' : 'false';
	$touchDrag = (int)$params->get('touchDrag', 1);
	$touchDrag = $touchDrag ? 'true' : 'false';

	$autoPlay = $autoPlay ? 'true' : 'false';
	$effect = $params->get('effect', 'fadeIn');

	$nb_rows = (int)$params->get('nb_rows', 3);
	$nb_rows = ($nb_rows <= 0) ? 1 : $nb_rows;
	$nb_rows = ($nb_rows >= $count_item) ? $count_item : $nb_rows;


	$nb_column1 = ($params->get('nb-column1', 6) >= $count_item) ? $count_item : $params->get('nb-column1', 6);
	$nb_column2 = ($params->get('nb-column2', 4) >= $count_item) ? $count_item : $params->get('nb-column2', 4);
	$nb_column3 = ($params->get('nb-column3', 2) >= $count_item) ? $count_item : $params->get('nb-column3', 2);
	$nb_column4 = ($params->get('nb-column4', 1) >= $count_item) ? $count_item : $params->get('nb-column4', 1);

	$button_page = $params->get('button_page', 'top');
	$cls_btn_page = ($button_page == 'top') ? 'buttom-type1' : 'button-type2';


	?>    <!-- Begin sj-extraslider -->
	<div id="<?php echo $tag_id; ?>" class="sj-extraslider <?php echo $cls_btn_page; ?> preload">

		<?php if (!empty($options->pretext)) { ?>
			<div class="pre-text"><?php echo $options->pretext; ?></div>
		<?php } ?>
		<div class="extra-loading"></div>
		<?php if ($options->title_slider_display == 1) { ?>
			<!-- Begin heading-title -->
			<div class="heading-title">
				<?php echo $options->title_slider; ?>
			</div>
			<!-- End heading-title-->
		<?php } ?>

		<!-- Begin extraslider-control -->
		<div class="extraslider-control  ">
			<span class="button-prev"><?php echo ($button_page == 'top') ? '&#171;' : '&#139;'; ?></span>
			<span class="button-next"><?php echo ($button_page == 'top') ? '&#187;' : '&#155;'; ?></span>
		</div>
		<!-- End extraslider-control -->

		<!-- Begin extraslider-inner -->
		<div class="extraslider-inner" data-effect="<?php echo $effect; ?>">
			<?php
			$count = 0;
			foreach ($list as $item) {

				$condition = (int)$params->get('display_votes',1) || (int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1);
				if($condition) include JModuleHelper::getLayoutPath($module->module, $layout.'_others');

				$count++;
				?>
				<?php if ($count % $nb_rows == 1 || $nb_rows == 1) { ?>
					<!-- Begin item -->
					<div class="item ">
				<?php } ?>
				<div class="item-wrap <?php echo $options->theme; ?>">
					<div class="item-wrap-inner">
						<?php $img = HKExtrasliderHelper::getPHKImage($item, $params);
						if ($img) {
							?>
							<div class="item-image">
								<a href="<?php echo $item->link; ?>"
								   title="<?php echo $item->title ?>" <?php echo HKExtrasliderHelper::parseTarget($params->get('item_link_target')); ?>>
									<img src="<?php echo HKExtrasliderHelper::imageSrc($img); ?>"
									     alt="<?php echo $item->title ?>" title="<?php echo $item->title ?>"/>
								</a>
							</div>
						<?php } ?>

						<?php if ($options->item_title_display == 1 || $options->item_desc_display == 1 || $options->item_detail_display == 1 || (int)$params->get('item_prices_display', 1)) { ?>
							<div class="item-info">
								<?php if ($options->item_title_display == 1) { ?>
									<div class="item-title">
										<a href="<?php echo $item->link; ?>"
										   title="<?php echo $item->title ?>" <?php echo HKExtrasliderHelper::parseTarget($params->get('item_link_target')); ?>>
											<?php echo HKExtrasliderHelper::truncate($item->title, $params->get('item_title_max_characs', 25)); ?>
										</a>
									</div>
								<?php } ?>

								<?php if((int)$params->get('display_votes',1)) { ?>
									<div class="item-votes">
										<?php echo $minivotes;?>
									</div>
								<?php } ?>

								<?php if ($options->item_desc_display == 1 || $options->item_detail_display == 1 || (int)$params->get('item_prices_display', 1)) { ?>
									<!-- Begin item-content -->
									<div class="item-content">
										<?php if ((int)$params->get('item_prices_display', 1) && !empty($item->_price)) { ?>
											<div class="item-prices">
												<span class="item-price">
													<?php echo $item->_price; ?>
												</span>
												<?php if ((int)$params->get('item_per_unit_display', 1)) { ?>
													<span class="item-per-unit">
																<?php echo JText::_('PER_UNIT'); ?>
															</span>
												<?php } ?>
											</div>
										<?php } ?>

										<?php if((int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1) ) { ?>
											<div class="item-btn-add">
												<?php  echo $btn_add;  ?>
											</div>
										<?php } ?>

										<?php if ($options->item_desc_display == 1 && $item->description != '') { ?>
											<div class="item-description">
												<?php echo HKExtrasliderHelper::truncate($item->description, $options->item_desc_max_characs); ?>
											</div>
										<?php } ?>

										<?php if ($params->get('item_detail_display') == 1) { ?>
											<div class="item-readmore">
												<a href="<?php echo $item->link; ?>"
												   title="<?php echo $item->title; ?>" <?php echo HKExtrasliderHelper::parseTarget($params->get('item_link_target')); ?> >
													<?php echo $params->get('item_detail_text'); ?>
												</a>
											</div>
										<?php } ?>

									</div>
									<!-- End item-content -->
								<?php } ?>
							</div>
						<?php } ?>
					</div>
				</div>
				<?php if (($count % $nb_rows == 0 || $count == $count_item)) { ?>
					</div>
					<!-- End item-->
				<?php } ?>
			<?php } ?>
		</div>
		<!--End extraslider-inner -->
		<?php if (!empty($options->posttext)) { ?>
			<div class="post-text"><?php echo $options->posttext; ?></div>
		<?php } ?>
	</div>
	<!-- Begin sj-extraslider -->

	<script type="text/javascript">
		//<![CDATA[
		jQuery(document).ready(function ($) {
			;
			(function (element) {
				var $element = $(element),
					$extraslider = $('.extraslider-inner', $element),
					$extra_loading = $('.extra-loading', $element),
					_delay = <?php echo (int)$params->get('delay',300) ?>,
					_duration = <?php echo (int)$params->get('duration',600) ?>,
					_effect = '<?php echo $effect; ?>';
				$(window).on('load', function () {
					setTimeout(function () {
						$extra_loading.remove();
						$element.removeClass('preload');
					}, 1000);

				});
				$extraslider.owlCarousel({
					itemsCustom: [
						[0, <?php echo $nb_column4;?>],
						[480, <?php echo $nb_column3?>],
						[768, <?php echo $nb_column2;?>],
						[1200, <?php echo $nb_column1;?>]
					],
					navigation: false,
					pagination: true,
					autoHeight: true,
					mouseDrag: <?php echo $mouseDrag; ?>,
					touchDrag: <?php echo $touchDrag; ?>,
					autoPlay:    <?php echo $autoPlay; ?>,
					stopOnHover: <?php echo $pause_hover;?>,
					scrollPerPage: <?php echo $scrollPerPage;?>,
					slideSpeed: <?php echo $slideSpeed;?>,
					paginationSpeed: <?php echo $paginationSpeed;?>,
					rewindSpeed: <?php echo $rewindSpeed; ?>,
					addClassActive: true,
					beforeInit: function () {

					},
					afterInit: function () {

						<?php if ($options->button_page == 'top') { ?>
						$('.owl-controls', $element).insertAfter($('.button-prev', $element));
						<?php } else{ ?>
						$('.owl-controls', $element).insertAfter($extraslider);
						<?php } ?>

						var $item_active = this.$owlItems.filter('.active');
						if ($item_active.length > 1) {
							_getAnimate($item_active);
						} else {
							var $item = this.$owlItems;
							$item.css({'opacity': 1, 'filter': 'alpha(opacity = 100)'});
						}

						if ($('.owl-page', $element).length < 2) {
							$('.button-prev', $element).css('display', 'none');
							$('.button-next', $element).css('display', 'none');
						} else {
							$('.button-prev', $element).removeAttr('style');
							$('.button-next', $element).removeAttr('style');
						}
					},

					afterUpdate: function (e) {
						var $item_active = this.$owlItems.filter('.active');
						if ($item_active.length > 1) {
							_getAnimate($item_active);
						} else {
							var $item = this.$owlItems;
							$item.css({'opacity': 1, 'filter': 'alpha(opacity = 100)'});
						}

						if ($('.owl-page', $element).length < 2) {
							$('.button-prev', $element).css('display', 'none');
							$('.button-next', $element).css('display', 'none');
						} else {
							$('.button-prev', $element).removeAttr('style');
							$('.button-next', $element).removeAttr('style');
						}
					},

					beforeMove: function (e) {
						var $item_active = this.$owlItems;
						if ($item_active.length > 1 && $('.owl-page', $element).length > 1 && _effect != 'none') {
							if ($.browser.msie && parseInt($.browser.version, 10) <= 9) return;
							$item_active.css({    'opacity': 0,
								'filter': 'alpha(opacity = 0)', '-webkit-animation': '',
								'-moz-animation': '', '-o-animation': '', 'animation': '',
								'-webkit-animation-delay': '', '-moz-animation-delay': '',
								'-o-animation-delay': '', 'animation-delay': '', 'animation': ''
							});
						} else {
							$item_active.css('opacity', 1);
						}
					},

					afterMove: function (e) {
						var $item_active = this.$owlItems.filter('.active');
						if ($item_active.length > 1) {
							_getAnimate($item_active);
						} else {
							var $item = this.$owlItems;
							$item.css({'opacity': 1, 'filter': 'alpha(opacity = 100)'});
						}
					}
				});

				$('.button-prev', $element).click(function () {
					$extraslider.trigger('owl.prev');
				});
				$('.button-next', $element).click(function () {
					$extraslider.trigger('owl.next');
				});

				function _getAnimate($el) {
					if (_effect == 'none') return;
					if ($.browser.msie && parseInt($.browser.version, 10) <= 9) return;
					$extraslider.removeClass('extra-animate');
					$el.each(function (i) {
						var $_el = $(this);
						$(this).css({
							'-webkit-animation': _effect + ' ' + _duration + "ms ease both",
							'-moz-animation': _effect + ' ' + _duration + "ms ease both",
							'-o-animation': _effect + ' ' + _duration + "ms ease both",
							'animation': _effect + ' ' + _duration + "ms ease both",
							'-webkit-animation-delay': +i * _delay + 'ms',
							'-moz-animation-delay': +i * _delay + 'ms',
							'-o-animation-delay': +i * _delay + 'ms',
							'animation-delay': +i * _delay + 'ms'
						}).animate({
							opacity: 1,
							filter: 'alpha(opacity = 100)'
						});
						if (i == $el.size() - 1) {
							$extraslider.addClass("extra-animate");
						}
					});
				}

			})('#<?php echo $tag_id; ?>');
		});
		//]]>
	</script>

<?php
} else {
	echo JText::_('Has no item to show!');
} ?>


